#
# spec file for package python-django-restricted-resource
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-restricted-resource
Version:        0.2.7
Release:        2.2
Summary:        Simple and Efficient Ownership and Access Control for Django
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/django-restricted-resource
Source:         http://pypi.python.org/packages/source/d/django-restricted-resource/django-restricted-resource-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-versiontools
Requires:       python-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A base model for Django that adds simple and efficient ownership and access
control.

%prep
%setup -q -n django-restricted-resource-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%python_sitelib/django_restricted_resource*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Mar 20 2012 jfunk@funktronics.ca
- Update to 0.2.7:
  * Fix RestrictedResource.is_owned_by for group owner and member accessing
    user
* Wed Feb  1 2012 saschpe@suse.de
- Spec file cleanup:
  * Set license to SDPX style (LGPL-3.0)
  * Removed outdated %%clean section
  * Simplified macro usage
  * BuildRequire python-distribute instead of outdated setuptools
* Sat Nov 26 2011 jfunk@funktronics.ca
- Update to 0.2.6:
  - use versiontools
  - Fix typo
  - Adapt to django-testscenarios 0.6
- 0.2.4:
  - Do not generate random users or groups that would break max_length
    constraint
* Sat Apr 16 2011 jfunk@funktronics.ca
- Initial release
